package com.company.sample.service;

import com.haulmont.addon.bproc.service.BprocTaskService;
import org.flowable.engine.ProcessEngines;
import org.springframework.stereotype.Service;

/**
 * Сервис, использующий BProc.
 */
@Service(UseFlowableSampleService.NAME)
public class UseFlowableSampleServiceBean implements UseFlowableSampleService {

    private BprocTaskService bprocTaskService;

    public UseFlowableSampleServiceBean(final BprocTaskService bprocTaskService) {
        this.bprocTaskService = bprocTaskService;
    }

    @Override
    public void exampleVoid() {
        bprocTaskService.createTaskDataQuery().active().list();
        ProcessEngines.getDefaultProcessEngine().getTaskService().createTaskQuery().active().list();
    }

}